Debian Bug report logs - #701822
ITP: websockify -- WebSockets support for any application/server

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Thomas Goirand <zigo@debian.org>

Date: Wed, 27 Feb 2013 15:18:01 UTC

Owned by: Thomas Goirand <zigo@debian.org>

Severity: wishlist

Fixed in version websockify/0.3.0+dfsg1-1

Done: Thomas Goirand <zigo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, openstack-devel@lists.alioth.debian.org, wnpp@debian.org:
Bug#701822; Package wnpp. (Wed, 27 Feb 2013 15:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, openstack-devel@lists.alioth.debian.org, wnpp@debian.org. (Wed, 27 Feb 2013 15:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: websockify -- WebSockets support for any application/server
Date: Wed, 27 Feb 2013 23:14:06 +0800
Package: wnpp
Severity: wishlist
Owner: Thomas Goirand <zigo@debian.org>

* Package name    : websockify
  Version         : 0.3.0
  Upstream Author : Joel Martin <github@martintribe.org>
* URL             : https://github.com/kanaka/websockify
* License         : GPL-3
  Programming Lang: Python
  Description     : WebSockets support for any application/server

 websockify was formerly named wsproxy and was part of the noVNC project.
 .
 At the most basic level, websockify just translates WebSockets traffic to
 normal socket traffic. Websockify accepts the WebSockets handshake, parses it,
 and then begins forwarding traffic between the client and the target in both
 directions.
 .
 Websockify supports all versions of the WebSockets protocol (Hixie and HyBi).
 The older Hixie versions of the protocol only support UTF-8 text payloads. In
 order to transport binary data over UTF-8 an encoding must used to encapsulate
 the data within UTF-8.
 .
 With Hixie clients, Websockify uses base64 to encode all traffic to and from
 the client. This does not affect the data between websockify and the server.
 .
 With HyBi clients, websockify negotiates whether to base64 encode traffic to
 and from the client via the subprotocol header (Sec-WebSocket-Protocol). The
 valid subprotocol values are 'binary' and 'base64' and if the client sends
 both then the server (the python implementation) will prefer 'binary'. The
 'binary' subprotocol indicates that the data will be sent raw using binary
 WebSocket frames. Some HyBi clients (such as the Flash fallback and older
 Chrome and iOS versions) do not support binary data which is why the
 negotiation is necessary.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 27 Feb 2013 19:06:04 GMT) Full text and rfc822 format available.

Reply sent to Thomas Goirand <zigo@debian.org>:
You have taken responsibility. (Fri, 12 Apr 2013 09:03:17 GMT) Full text and rfc822 format available.

Notification sent to Thomas Goirand <zigo@debian.org>:
Bug acknowledged by developer. (Fri, 12 Apr 2013 09:03:17 GMT) Full text and rfc822 format available.

Message #12 received at 701822-close@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: 701822-close@bugs.debian.org
Subject: Bug#701822: fixed in websockify 0.3.0+dfsg1-1
Date: Fri, 12 Apr 2013 09:00:12 +0000
Source: websockify
Source-Version: 0.3.0+dfsg1-1

We believe that the bug you reported is fixed in the latest version of
websockify, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 701822@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Goirand <zigo@debian.org> (supplier of updated websockify package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 23 Feb 2013 01:22:51 +0800
Source: websockify
Binary: websockify
Architecture: source amd64
Version: 0.3.0+dfsg1-1
Distribution: experimental
Urgency: low
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Changed-By: Thomas Goirand <zigo@debian.org>
Description: 
 websockify - WebSockets support for any application/server
Closes: 701822
Changes: 
 websockify (0.3.0+dfsg1-1) experimental; urgency=low
 .
   * Initial release. (Closes: #701822).
Checksums-Sha1: 
 a12b2de5bf1d1cd8ac2c418123e40d0f4dfd8067 1518 websockify_0.3.0+dfsg1-1.dsc
 8045fce43a59fe676e652da008595015c0f7e0b0 84008 websockify_0.3.0+dfsg1.orig.tar.xz
 038f31b779f1e25ef881f37b37ecc5c16bf4af0e 8999 websockify_0.3.0+dfsg1-1.debian.tar.gz
 8b4753c0f74692b1939c6afd5b75569e6feb445a 35240 websockify_0.3.0+dfsg1-1_amd64.deb
Checksums-Sha256: 
 c3ad907174536a36f4e4a8cf8b2aef6b04b8a10e76054e62e0c364d019ec8421 1518 websockify_0.3.0+dfsg1-1.dsc
 c5abffa75d68b9044673fc6d92a9c7330d708c486928e6c45ebbf6ac0d63c6b3 84008 websockify_0.3.0+dfsg1.orig.tar.xz
 49c3c98c5d61ba6d5c42eb81e8eb2a2dfdfa3116f00247be019eb5afb7c1d346 8999 websockify_0.3.0+dfsg1-1.debian.tar.gz
 b51de259f56d1b165c1c50b9fdaa88d169ae4146dcbde133f547c702114deb92 35240 websockify_0.3.0+dfsg1-1_amd64.deb
Files: 
 13a3f92ed1ad5156f73c9a01e7d9b9a8 1518 python optional websockify_0.3.0+dfsg1-1.dsc
 f629d909ad7a5bd4c577de4fb06d7496 84008 python optional websockify_0.3.0+dfsg1.orig.tar.xz
 15f4ad644121ce773198ced0b86f8c32 8999 python optional websockify_0.3.0+dfsg1-1.debian.tar.gz
 194f1dfc200ef3dd72ab917bda9e8117 35240 python optional websockify_0.3.0+dfsg1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlFlhRoACgkQl4M9yZjvmkkrEwCeLk8kcrWldEcUvGO+FLAEy1k5
S/EAn3p9trhclcfEq7VA/cQSHXBtWvxm
=coJX
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 May 2013 07:28:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:39:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.